com.atid.lib.module.barcode.ssi.param

## Enum SSI1DParamName

- java.lang.Object
- - java.lang.Enum<SSI1DParamName>
  - - com.atid.lib.module.barcode.ssi.param.SSI1DParamName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSI1DParamName>

      public enum SSI1DParamName
      extends java.lang.Enum<SSI1DParamName>

  SSI 1D barcode module parameters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bi_Directional_Redundancy`
    `Bookland_ISBN_Format`
    `Check_ISBT_Table`
    `CLSI_Editing`
    `Codabar_Upper_Lower_Start_Stop_Characters_Dectection`
    `Code11_Check_Digit_Verification`
    `Code32_Prefix`
    `Code39_Check_Digit_Verification`
    `Code39_Full_Ascii_Conversion`
    `Convert_GS1_DataBar_to_UPC_EAN`
    `Convert_I2of5_to_EAN_13`
    `Convert_UPC_E_to_UPC_A`
    `Convert_UPC_E1_to_UPC_A`
    `Coupon_Report`
    `Decode_UPC_EAN_JAN_Supplemental_Redundancy`
    `Decode_UPC_EAN_JAN_Supplementals`
    `EAN_8_JAN_8_Extend`
    `GS1_DataBar_Limited_Security_Level`
    `I2of5_Check_Digit_Verification`
    `ISBT_Concatenation`
    `ISBT_Concatenation_Redundancy`
    `Linear_Security_Level`
    `Matrix2of5_Check_Digit`
    `MSI_Check_Digit_Algorithm`
    `MSI_Check_Digits`
    `NOTIS_Editing`
    `Set_Lenght_2_Code93`
    `Set_Length_1_Codabar`
    `Set_Length_1_Code11`
    `Set_Length_1_Code128`
    `Set_Length_1_Code39`
    `Set_Length_1_Code93`
    `Set_Length_1_D2of5`
    `Set_Length_1_I2of5`
    `Set_Length_1_Matrix2of5`
    `Set_Length_1_MSI`
    `Set_Length_2_Codabar`
    `Set_Length_2_Code11`
    `Set_Length_2_Code128`
    `Set_Length_2_Code39`
    `Set_Length_2_D2of5`
    `Set_Length_2_I2of5`
    `Set_Length_2_Matrix2of5`
    `Set_Length_2_MSI`
    `Transmit_Code_11_Check_Digits`
    `Transmit_Code39_Check_Digit`
    `Transmit_I2of5_Check_Digit`
    `Transmit_Matrix2of5_Check_Digit`
    `Transmit_MSI_Check_Digits`
    `Transmit_UPC_A_Check_Digit`
    `Transmit_UPC_E_Check_Digit`
    `Transmit_UPC_E1_Check_Digit`
    `UPC_A_Preamble`
    `UPC_E_Preamble`
    `UPC_E1_Preamble`
    `UPC_EAN_Security_Level`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCommand()`
    `java.lang.String` | `toString()`
    `static SSI1DParamName` | `valueOf(byte[] data, int offset)`
    `static SSI1DParamName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSI1DParamName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Bookland_ISBN_Format

          public static final SSI1DParamName Bookland_ISBN_Format

    - #### Decode_UPC_EAN_JAN_Supplementals

          public static final SSI1DParamName Decode_UPC_EAN_JAN_Supplementals

    - #### Decode_UPC_EAN_JAN_Supplemental_Redundancy

          public static final SSI1DParamName Decode_UPC_EAN_JAN_Supplemental_Redundancy

    - #### Transmit_UPC_A_Check_Digit

          public static final SSI1DParamName Transmit_UPC_A_Check_Digit

    - #### Transmit_UPC_E_Check_Digit

          public static final SSI1DParamName Transmit_UPC_E_Check_Digit

    - #### Transmit_UPC_E1_Check_Digit

          public static final SSI1DParamName Transmit_UPC_E1_Check_Digit

    - #### UPC_A_Preamble

          public static final SSI1DParamName UPC_A_Preamble

    - #### UPC_E_Preamble

          public static final SSI1DParamName UPC_E_Preamble

    - #### UPC_E1_Preamble

          public static final SSI1DParamName UPC_E1_Preamble

    - #### Convert_UPC_E_to_UPC_A

          public static final SSI1DParamName Convert_UPC_E_to_UPC_A

    - #### Convert_UPC_E1_to_UPC_A

          public static final SSI1DParamName Convert_UPC_E1_to_UPC_A

    - #### EAN_8_JAN_8_Extend

          public static final SSI1DParamName EAN_8_JAN_8_Extend

    - #### UPC_EAN_Security_Level

          public static final SSI1DParamName UPC_EAN_Security_Level

    - #### Coupon_Report

          public static final SSI1DParamName Coupon_Report

    - #### Set_Length_1_Code128

          public static final SSI1DParamName Set_Length_1_Code128

    - #### Set_Length_2_Code128

          public static final SSI1DParamName Set_Length_2_Code128

    - #### ISBT_Concatenation

          public static final SSI1DParamName ISBT_Concatenation

    - #### Check_ISBT_Table

          public static final SSI1DParamName Check_ISBT_Table

    - #### ISBT_Concatenation_Redundancy

          public static final SSI1DParamName ISBT_Concatenation_Redundancy

    - #### Code32_Prefix

          public static final SSI1DParamName Code32_Prefix

    - #### Set_Length_1_Code39

          public static final SSI1DParamName Set_Length_1_Code39

    - #### Set_Length_2_Code39

          public static final SSI1DParamName Set_Length_2_Code39

    - #### Code39_Check_Digit_Verification

          public static final SSI1DParamName Code39_Check_Digit_Verification

    - #### Transmit_Code39_Check_Digit

          public static final SSI1DParamName Transmit_Code39_Check_Digit

    - #### Code39_Full_Ascii_Conversion

          public static final SSI1DParamName Code39_Full_Ascii_Conversion

    - #### Set_Length_1_Code93

          public static final SSI1DParamName Set_Length_1_Code93

    - #### Set_Lenght_2_Code93

          public static final SSI1DParamName Set_Lenght_2_Code93

    - #### Set_Length_1_Code11

          public static final SSI1DParamName Set_Length_1_Code11

    - #### Set_Length_2_Code11

          public static final SSI1DParamName Set_Length_2_Code11

    - #### Code11_Check_Digit_Verification

          public static final SSI1DParamName Code11_Check_Digit_Verification

    - #### Transmit_Code_11_Check_Digits

          public static final SSI1DParamName Transmit_Code_11_Check_Digits

    - #### Set_Length_1_I2of5

          public static final SSI1DParamName Set_Length_1_I2of5

    - #### Set_Length_2_I2of5

          public static final SSI1DParamName Set_Length_2_I2of5

    - #### I2of5_Check_Digit_Verification

          public static final SSI1DParamName I2of5_Check_Digit_Verification

    - #### Transmit_I2of5_Check_Digit

          public static final SSI1DParamName Transmit_I2of5_Check_Digit

    - #### Convert_I2of5_to_EAN_13

          public static final SSI1DParamName Convert_I2of5_to_EAN_13

    - #### Set_Length_1_D2of5

          public static final SSI1DParamName Set_Length_1_D2of5

    - #### Set_Length_2_D2of5

          public static final SSI1DParamName Set_Length_2_D2of5

    - #### Set_Length_1_Matrix2of5

          public static final SSI1DParamName Set_Length_1_Matrix2of5

    - #### Set_Length_2_Matrix2of5

          public static final SSI1DParamName Set_Length_2_Matrix2of5

    - #### Matrix2of5_Check_Digit

          public static final SSI1DParamName Matrix2of5_Check_Digit

    - #### Transmit_Matrix2of5_Check_Digit

          public static final SSI1DParamName Transmit_Matrix2of5_Check_Digit

    - #### Set_Length_1_Codabar

          public static final SSI1DParamName Set_Length_1_Codabar

    - #### Set_Length_2_Codabar

          public static final SSI1DParamName Set_Length_2_Codabar

    - #### CLSI_Editing

          public static final SSI1DParamName CLSI_Editing

    - #### NOTIS_Editing

          public static final SSI1DParamName NOTIS_Editing

    - #### Codabar_Upper_Lower_Start_Stop_Characters_Dectection

          public static final SSI1DParamName Codabar_Upper_Lower_Start_Stop_Characters_Dectection

    - #### Set_Length_1_MSI

          public static final SSI1DParamName Set_Length_1_MSI

    - #### Set_Length_2_MSI

          public static final SSI1DParamName Set_Length_2_MSI

    - #### MSI_Check_Digits

          public static final SSI1DParamName MSI_Check_Digits

    - #### Transmit_MSI_Check_Digits

          public static final SSI1DParamName Transmit_MSI_Check_Digits

    - #### MSI_Check_Digit_Algorithm

          public static final SSI1DParamName MSI_Check_Digit_Algorithm

    - #### GS1_DataBar_Limited_Security_Level

          public static final SSI1DParamName GS1_DataBar_Limited_Security_Level

    - #### Convert_GS1_DataBar_to_UPC_EAN

          public static final SSI1DParamName Convert_GS1_DataBar_to_UPC_EAN

    - #### Linear_Security_Level

          public static final SSI1DParamName Linear_Security_Level

    - #### Bi_Directional_Redundancy

          public static final SSI1DParamName Bi_Directional_Redundancy

  - ### Method Detail

    - #### values

          public static SSI1DParamName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSI1DParamName c : SSI1DParamName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSI1DParamName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SSI1DParamName>`

    - #### getCommand

          public byte[] getCommand()

    - #### valueOf

          public static SSI1DParamName valueOf(byte[] data,
                                               int offset)
                                        throws ATException

      Throws:
        `ATException`